[![](http://cranlogs.r-pkg.org/badges/pseval)](https://CRAN.R-project.org/package=pseval)

# pseval: Methods for Evaluating Principal Surrogates of Treatment Response

## Installation

`pseval` is an R package aimed at implementing existing methods for surrogate evaluation using a flexible and common interface. Development will take place  on [the Github page](https://github.com/sachsmc/pseval), and the current version of the package can be installed from CRAN. 

```
install.packages("pseval")
```

Check out the [vignette](https://sachsmc.github.io/pseval/) for methodological details and information on how to use the package.

Check out the [cheat sheet](https://sachsmc.github.io/pseval-course/pseval-cheatsheet.pdf) for a quick reference. 

## References

- [Sachs and Gabriel, 2016. _An Introduction to Principal Surrogate Evaluation with the pseval Package_](https://doi.org/10.32614/RJ-2016-046)
- [Gabriel and Gilbert, 2014. _Evaluating principal surrogate endpoints with time-to-event data accounting for time-varying treatment efficacy_](https://doi.org/10.1093/biostatistics/kxt055)
- [Huang and Gilbert, 2011. _Comparing Biomarkers as Principal Surrogate Endpoints_](https://onlinelibrary.wiley.com/doi/full/10.1111/j.1541-0420.2011.01603.x)
- [Gilbert and Hudgens, 2008. _Evaluating Candidate Principal Surrogate Endpoints_](https://onlinelibrary.wiley.com/doi/10.1111/j.1541-0420.2008.01014.x/full)
- [Huang, Gilbert, and Wolfson, 2013. _Design and Estimation for Evaluating Principal Surrogate Markers in Vaccine Trials_](https://onlinelibrary.wiley.com/doi/full/10.1111/biom.12014)
